---
version: "2.1"
services:
  syncthing2:
    image: ghcr.io/linuxserver/syncthing
    container_name: syncthing
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Paris
    volumes:
# Mapping des volumes (le ./ permet la persistence des données sur l'hôte en cas de crash de conteneur)
      - ./config:/config
# Mapping des volumes pour les dossier partagés (modifié la partie gauche hôte en fonction des besoins)
      - /path/to/data1:/data1
      - /path/to/data2:/data2
    ports:
# Mapping des ports hôte / conteneur
      - 8384:8384
# Ports nécessaires aux client pour se connecter au serveur (à ouvrir si firewall)
      - 22000:22000/tcp
      - 22000:22000/udp
      - 21027:21027/udp
    restart: unless-stopped